## fontmath 0.4.4

=== requirements.txt ===
fonttools==3.13.1
ufoLib==2.1.0

=== debian/changelog ===
fontmath (0.4.4-1) unstable; urgency=low

  * Initial release. Closes: #806514

 -- Yao Wei (魏銘廷) <mwei@lxde.org>  Sun, 19 Nov 2017 12:54:56 +0800

=== debian/control ===
Source: fontmath
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@lxde.org>
Build-Depends: debhelper (>=10),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-fonttools,
               python3-pytest,
               python3-ufolib
Standards-Version: 4.1.1
Homepage: https://github.com/typesupply/fontMath
Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fontmath.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/fontmath.git
X-Python3-Version: >= 3.4

Package: python3-fontmath
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Objects for performing math operations on font data
 This is a math library for fonts required by several font building
 libraries.

=== debian/watch ===
version=4
https://github.com/typesupply/fontMath/releases \
 .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## fontmath 0.4.9

=== requirements.txt ===
fonttools==3.32.0

=== debian/changelog ===
fontmath (0.4.9-1) unstable; urgency=medium

  * New upstream release 0.4.9
  * Bump debhelper compatibility to 11
  * debian/control:
    * Update uploader email
    - Bump Standards-Version to 4.2.1
    - Remove ufolib dependency
    - Remove deprecated X-Python3-Version field

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 05 Dec 2018 15:40:37 +0800

=== debian/control ===
Source: fontmath
Section: devel
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper (>=11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-fonttools (>= 3.32.0),
               python3-pytest
Standards-Version: 4.2.1
Homepage: https://github.com/typesupply/fontMath
Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath

Package: python3-fontmath
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Objects for performing math operations on font data
 This is a math library for fonts required by several font building
 libraries.

## fontmath 0.5.0.post1

=== requirements.txt ===
fonttools==3.38.0

=== debian/changelog ===
fontmath (0.5.0.post1-1) unstable; urgency=medium

  * New upstream version 0.5.0.post1
  * Change upstream URL from typesupply to robotools
  * debian/control:
    - Bump Standards-Version to 4.4.0
    - Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:26:18 -0300

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 3.32.0),
+               python3-fonttools (>= 3.38.0),
                python3-pytest
-Standards-Version: 4.2.1
-Homepage: https://github.com/typesupply/fontMath
+Standards-Version: 4.4.0
+Homepage: https://github.com/robotools/fontMath
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath

## fontmath 0.5.2

=== debian/changelog ===
fontmath (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2
  * debian/control:
    - Bump fonttools dependency
    - Bump Standards-Version to 4.4.1
  * Bump debhelper compat to 12
  * debian/tests/control: Add test
  * Add CI script for salsa.debian.org

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 08 Dec 2019 17:53:47 +0800

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper (>=11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 3.38.0),
+               python3-fonttools (>= 3.44.0),
                python3-pytest
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/robotools/fontMath
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import fontMath; print(fontMath)" ; done
Depends: python3-all, python3-fontmath
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

=== debian/watch ===
version=4
https://github.com/robotools/fontMath/releases \
 .*/archive/@ANY_VERSION@@ARCHIVE_EXT@

## fontmath 0.6.0

=== requirements.txt ===
fonttools==4.9.0

=== debian/changelog ===
fontmath (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * debian/control:
    - Bump fonttools dependency
    - Bump Standards-Version to 4.5.0

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 30 May 2020 09:21:08 +0800

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 3.44.0),
+               python3-fonttools (>= 4.9.0),
                python3-pytest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/robotools/fontMath
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath

## fontmath 0.8.1

=== requirements.txt ===
fonttools==4.24.4

=== debian/changelog ===
fontmath (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1
  * debian/watch: Change GitHub archive URL
  * debian/control:
    - Update Build-Depends
    - Bump Standards-Version to 4.6.0
  * debian/rules: At override_dh_auto_clean, remove _version generated by
    setuptools-scm
  * d/tests/control: Use pytest-3 to test installed package

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 17 Oct 2021 22:29:42 +0800

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,10 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 4.9.0),
+               python3-fonttools (>= 4.24.4),
+               python3-setuptools-scm,
                python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/robotools/fontMath
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath

=== debian/tests/control ===
Test-Command: cd /tmp; pytest-3 --pyargs fontMath.test
Depends: python3-all, python3-fontmath, python3-pytest
Features: test-name=autodep8-python3

=== debian/watch ===
version=4
https://github.com/robotools/fontMath/releases \
 .*/archive/refs/tags/@ANY_VERSION@@ARCHIVE_EXT@

## fontmath 0.9.2

=== requirements.txt ===
fonttools==4.33.3

=== debian/changelog ===
fontmath (0.9.2-1) UNRELEASED; urgency=medium

  * New upstream version 0.9.2
  * debian/control:
    - Bump Standards-Version to 4.6.1; No other changes are needed.
    - Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 29 May 2022 13:08:55 +0800

fontmath (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * debian/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Wed, 13 Apr 2022 23:11:47 +0800

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-python,
                python3-all,
                python3-setuptools,
-               python3-fonttools (>= 4.24.4),
+               python3-fonttools (>= 4.33.3),
                python3-setuptools-scm,
                python3-pytest
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/robotools/fontMath
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm Lib/fontMath/_version.py

## fontmath 0.9.3

=== debian/changelog ===
fontmath (0.9.3-1) unstable; urgency=medium

  [ Yao Wei (魏銘廷) ]
  * Team upload.
  * New upstream version 0.9.3.
  * debian/control:
    + Bump debhelper compat to v13, Standards-Version 4.7.0.
    + Build python package using pybuild-plugin-pyproject.
  * debian/gbp.conf: Properly set up branch names.
  * debian/watch: Fix monitoring script.

 -- Boyuan Yang <byang@debian.org>  Mon, 08 Apr 2024 22:48:04 -0400

## fontmath 0.9.4

=== requirements.txt ===
fonttools==4.43.0

=== debian/changelog ===
fontmath (0.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Jul 2024 17:41:06 -0400

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
 Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools,
                python3-fonttools (>= 4.33.3),
                python3-setuptools-scm,
-               python3-pytest
-Standards-Version: 4.6.1
+               python3-pytest <!nocheck>
+Standards-Version: 4.7.0
 Homepage: https://github.com/robotools/fontMath
 Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -fv Lib/fontMath/_version.py

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/robotools/fontMath/tags?per_page=100 \
 https://api.github.com/repos/robotools/fontMath/tarball/refs/tags/@ANY_VERSION@

## fontmath 0.10.0

=== requirements.txt ===
fonttools==4.60.2

=== debian/changelog ===
fontmath (0.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/clean: Clean files after build. (Closes: #1044835)
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Feb 2026 10:52:51 -0500

=== debian/control ===
Source: fontmath
Section: devel
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Yao Wei (魏銘廷) <mwei@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-fonttools (>= 4.60),
               python3-setuptools-scm,
               python3-pytest <!nocheck>
Standards-Version: 4.7.3
Homepage: https://github.com/robotools/fontMath
Vcs-Git: https://salsa.debian.org/fonts-team/fontmath.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fontmath
Description: Objects for performing math operations on font data
 This is a math library for fonts required by several font building
 libraries.

Package: python3-fontmath
Architecture: all
Section: python
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/watch ===
Version: 5

Template: GitHub
Owner: robotools
Project: fontMath
